arch use by-id and various fixes
[automated-distro-installer] / arch-init-remote
index 5c2717ff1ae8d60492c0306a6460b6dfc4e8a733..c82cd70838b053312f860bc826343a3991028479 100755 (executable)
@@ -1,9 +1,14 @@
-#!/bin/bash -lx
+#!/bin/bash -l
 
+set -x
 
 set -eE -o pipefail
 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?"' ERR
 
+if [[ ! $1 ]]; then
+    echo "error: expect a hostname in \$1 "
+    exit 1
+fi
 host=$1
 
 [[ $host == frodo ]] && scp /a/c/machine_specific/frodo/subdir_files/.ssh/* frodo:.ssh/
@@ -20,12 +25,12 @@ fai_files=(
 sudo scp -r /a/bin/fai/arch-init{,-chroot} \
      ${fai_files[@]/#//a/bin/fai/fai/config/} \
      /a/bin/devbyid \
-    /q/root/luks /q/root/shadow root@$host:
+     /q/root/luks /q/root/shadow root@$host:
 # creating shadow file string:
 # on debian, you can use mkpasswd -m sha-512 to generate a pass.
 # arch doesn't have this program. instead, you can do passwd,
 # and extract it from the shadow file.
-ssh root@$host bash -x ./arch-init "'$(cat /p/shadow/standard)'" $host $url
+ssh root@$host bash -x ./arch-init $host $url
 ssh root@$host reboot now || [[ $? == 255 ]]
 # next up is:
 # ssh $host /a/bin/distro-begin